This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 811541 - [RFE]virt-p2v should improve fixed storage transfer options to make data transferring more efficient [NEEDINFO]
[RFE]virt-p2v should improve fixed storage transfer options to make data tran...
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Matthew Booth
: FutureFeature
Depends On:
Blocks: 960054 840699 852646 986139
  Show dependency treegraph
 
Reported: 2012-04-11 07:23 EDT by Cui Lei
Modified: 2016-03-04 17:58 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 852646 986139 (view as bug list)
Environment:
Last Closed: 2016-03-04 17:58:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dayleparker: needinfo? (mbooth)


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-04-11 07:23:30 EDT
Description of problem:
Currently, virt-p2v could only convert a whole disk, much of them is unused and unnecessary. And Modern servers usually have an extremely large amount of storage, so the conversion usually cost too much time. It is very bad user experience that user suffer too much time in conversion when the used data was very small.

Here is the description of Matt's relevant document:
"Improved fixed storage transfer options
Modern servers can have an extremely large amount of storage. Often, much of this is unused and unnecessary, and could usefully be excluded from the conversion. This would have the benefits of reducing the conversion time by transferring less data, and using less space on the target environment. We intend to allow the selection of individual partitions on a disk, and resizing of partitions during conversion for supported filesystems.
"  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
conversion cost too much time in conversion even the used data is little.

Expected results:
conversion cost and more efficient

Additional info:
Comment 2 RHEL Product and Program Management 2012-07-10 03:19:45 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:58:03 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 RHEL Product and Program Management 2012-12-14 02:32:56 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 9 RHEL Product and Program Management 2013-10-14 01:03:03 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 13 Matthew Booth 2016-03-04 17:58:37 EST
We recommend users move to the version of v2v shipped with RHEL7. This version also supports the conversion of older versions of RHEL.

Note You need to log in before you can comment on or make changes to this bug.